# RPM specfile for gnome-spell module
# Generated Fri Dec 12 20:20:33 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	gnome-spell
%define ver	1.0.5
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	gnome-spell2
Version: 	1.0.5
Release:	0.ximian.0.2
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for SuSE Linux Desktop 1.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://gnome.org/
Source0:	gnome-spell-1.0.5.tar.gz
Summary:	GNOME spell checking component
Group:		Applications/Text
Requires:	aspell >= 0.50
Provides:	ximian-gnome-spell2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	gnome-spell1.0

%description
Gnome Spell is GNOME/Bonobo component for spell checking. It
contains the GNOME::Spell::Dictionary object, which provides a spell
checking dictionary (see Spell.idl for exact API definition). It is
based on pspell.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir /opt/gnome2/lib/gnome-spell
/opt/gnome2/lib/gnome-spell/*.so
/opt/gnome2/share/control-center-2.0/icons/*
/opt/gnome2/share/gnome-spell-1.0.5
/opt/gnome2/share/idl/*
/opt/gnome2/lib/bonobo/servers/*
/opt/gnome2/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-spell-1.0.5
    ;;
all)
%setup  -q -n gnome-spell-1.0.5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/opt/gnome2 --sysconfdir=/etc/opt/gnome2 --mandir=/opt/gnome2/man --infodir=/opt/gnome2/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Dec 12 2003 Ximian, Inc.

- Version: 1.0.5-0.ximian.0.2
- Summary: New build.
- New automated build.

